Skip to content

Create an Agency

Request

Create an agency

Security
Auth0(Required scopes: offline_accessmanage:services)
Bodyapplication/jsonrequired
ads_txt_verifiedstring
Enum:"ANY""AUTHORIZED_ONLY""AUTHORIZED_DIRECT_ONLY""NONE"
allow_x_adv_optimizationboolean
allow_x_adv_pixelsboolean
dmp_enabledstring
Enum:"disabled""inherits"
eligible_for_data_sharingboolean
namestring, [ 1 .. 64 ] charactersrequired
statusboolean
mfa_avoidancestring
Enum:"INHERIT""ALLOW_ALL""EXCLUDE_MFA"
organization_idinteger, (int32), >= 1required
Example:17
curl -i -X POST \
  https://api.mediamath.com/api/v3.0/agencies \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "ads_txt_verified": "ANY",
    "allow_x_adv_optimization": true,
    "allow_x_adv_pixels": true,
    "dmp_enabled": "disabled",
    "eligible_for_data_sharing": true,
    "name": "string",
    "status": true,
    "logo": "string",
    "mfa_avoidance": "INHERIT",
    "organization_id": 17
  }'

Responses

Agency created response

Bodyapplication/json
dataobject(agency)
metaobject(single_metadata)
Response
{ "data": { "ads_txt_verified": "ANY", "allow_x_adv_optimization": true, "allow_x_adv_pixels": true, "dmp_enabled": "disabled", "eligible_for_data_sharing": true, "name": "string", "status": true, "logo": "string", "mfa_avoidance": "INHERIT", "id": 0, "created_on": "2019-08-24T14:15:22Z", "entity_type": "string", "organization_id": 1, "updated_on": "2019-08-24T14:15:22Z", "version": 0, "sales_contact_id": 0, "billing_contact_id": 0, "traffic_contact_id": 0, "inherited_mfa_avoidance": "INHERIT", "inherited_mfa_from": "Organization" }, "meta": { "status": "success" } }